
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Laravel 5 框架入门（一）_php实例 / iVAN</title>

    <meta name="description" content="Laravel 5 框架入门（一）_php实例 Laravel 5 中文文档: 1. http://laravel-china.org/docs/5.0 2. http://www.golaravel.com/laravel/docs/5.0/ 默认条件 本文默认你已经有配置完善的 PHP + MySQL 运行环境,懂得 PHP 网站运行的基础知识.跟随本教程走完一遍,你将会得到一个基础的包含登录的简单 blog 系统,并将学会如何使用一些强大的 Laravel 插件和 composer 包(Laravel 插件也是 composer 包).">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Laravel 5 框架入门（一）_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>Laravel 5 中文文档：</strong></p>
<p>1. http://laravel-china.org/docs/5.0</p>
<p>2. http://www.golaravel.com/laravel/docs/5.0/</p>
<p><strong>默认条件</strong></p>
<p>本文默认你已经有配置完善的 PHP + MySQL 运行环境，懂得 PHP 网站运行的基础知识。跟随本教程走完一遍，你将会得到一个基础的包含登录的简单 blog 系统，并将学会如何使用一些强大的 Laravel 插件和 composer 包（Laravel 插件也是 composer 包）。</p>
<p>软件版本：PHP 5.4+，MySQL 5.1+</p>
<p>本文不推荐完全不懂 PHP 与 MVC 编程的人学习。本文不是 “一步一步跟我做” 教程。本文需要你付出一定的心智去解决一些或大或小的隐藏任务，以达到真正理解 Laravel 运行逻辑的目的。</p>
<p><strong>1. 安装</strong></p>
<p>许多人被拦在了学习Laravel的第一步，安装。并不是因为安装教程有多复杂，而是因为【众所周知的原因】。在此我推荐一个composer全量中国镜像：http://pkg.phpcomposer.com/ 。推荐以 “修改 composer 的配置文件” 方式配置。</p>
<p>镜像配置完成后，切换到你想要放置该网站的目录下（如 C:\\wwwroot、/Library/WebServer/Documents/、/var/www/html、/etc/nginx/html 等），运行命令：</p>
<pre>
composer create-project laravel/laravel learnlaravel5</pre>
<p>然后，稍等片刻，当前目录下就会出现一个叫 learnlaravel5 的文件夹。</p>
<p>然后将网站根目录配置为 learnlaravel5/public。</p>
<p>如果你不会配置，建议去学会配置，网上资料很多。如果自暴自弃，可以把 的第 29 行'url' =&gt; 'http://localhost', 配置成你的子目录地址，注意，要一直配置到 ***/learnlaravel5/public。</p>
<p>使用浏览器访问你配置的地址，将看到以下画面（我在本地配置的地址为 http://fuck.io:88 ）：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDQwOTA5MzM1NjEuanBn.jpg"></p>
<p><strong>2. 体验 Auth 系统并完成安装</strong></p>
<p>—— 经过上面的过程，Laravel 5 的安装成功了？</p>
<p>—— 没有o(╯□╰)o</p>
<p>查看路由文件 `learnlaravel5/app/Http/routes.php` 的代码：</p>
<pre>
Route::get('/', 'WelcomeController@index');

Route::get('home', 'HomeController@index');

Route::controllers([
	'auth' =&gt; 'Auth\AuthController',
	'password' =&gt; 'Auth\PasswordController',
]);</pre>
<p>跟随代码里的蛛丝马迹，让我们访问 http://fuck.io:88/home （请自行替换域名），结果竟然跳转到了登陆页？</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDQwOTA5MzM1NjIuanBn.jpg"></p>
<p>没错，Laravel 自带了开箱即用的 Auth 系统，连页面都已经写好了。</p>
<p>让我们随意输入邮箱和密码，点击登录，你很可能得到以下画面（Mac 或 Linux 下）：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDQwOTA5MzM1NjMuanBn.jpg"></p>
<p>为什么空白？用开发者工具查看，这个请求的状态码是 500，为什么？</p>
<p>因为 `learnlaravel5/storage` 目录没有 777 权限。</p>
<p>执行 shell 命令：</p>
<pre>
cd learnlaravel5

sudo chmod -R 777 storage</pre>
<p>重新访问 http://fuck.io:88/home ，随意输入邮箱和密码，如果你得到以下画面：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDQwOTA5MzM1NjQuanBn.jpg"></p>
<p>那么恭喜你~ Laravel 5 安装成功！</p>
<p>不想配置镜像的同学，可以使用 Laravel 界非常著名的 安正超 搞的安装神器：https://github.com/overtrue/latest-laravel</p>
<p><strong>3. 数据库建立及迁移</strong></p>
<p>Laravel 5 把数据库配置的地方改到了 `learnlaravel5/.env`，打开这个文件，编辑下面四项，修改为正确的信息：</p>
<pre>
DB_HOST=localhost

DB_DATABASE=laravel5

DB_USERNAME=root

DB_PASSWORD=password</pre>
<p>推荐新建一个名为 laravel5 的数据库，为了学习方便，推荐使用 root 账户直接操作。</p>
<p>Laravel 已经为我们准备好了 Auth 部分的 migration，运行以下命令执行数据库迁移操作：</p>
<pre>
php artisan migrate</pre>
<p>得到的结果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDQwOTA5MzM1NjUuanBn.jpg"></p>
<p>如果你运行命令报错，请检查数据库连接设置。</p>
<p>至此，数据库迁移已完成，你可以打开 http://fuck.io:88/home 欢快地尝试注册、登录啦。</p>
<p><strong>4. 模型 Models</strong></p>
<p>接下来我们将接触Laravel最为强大的部分，Eloquent ORM，真正提高生产力的地方，借用库克的一句话：鹅妹子英！</p>
<p>运行一下命令：</p>
<pre>
php artisan make:model Article

php artisan make:model Page</pre>
<p>&gt; Laravel 4 时代，我们使用 Generator 插件来新建 Model。现在，Laravel 5 已经把 Generator 集成进了 Artisan。</p>
<p>现在，Artisan 帮我们在 `learnlaravel5/app/` 下创建了两个文件 `Article.php` 和 `Page.php`，这是两个 Model 类，他们都继承了 Laravel Eloquent 提供的 Model 类 `Illuminate\Database\Eloquent\Model`，且都在 `\App` 命名空间下。这里需要强调一下，用命令行的方式创建文件，和自己手动创建文件没有任何区别，你也可以尝试自己创建这两个 Model 类。</p>
<p>Model 即为 MVC 中的 M，翻译为 模型，负责跟数据库交互。在 Eloquent 中，数据库中每一张表对应着一个 Model 类（当然也可以对应多个）。</p>
<p>如果你从其他框架转过来，可能对这里一笔带过的 Model 部分很不适应，没办法，是因为 Eloquent 实在太强大了啦，真的没什么好做的，继承一下 Eloquent 类就能实现很多很多功能了。</p>
<p>如果你想深入地了解 Eloquent，可以阅读系列文章：Laravel 5框架学习之Eloquent 关系</p>
<p>接下来进行 Article 和 Page 类对应的 articles 表和 pages表的数据库迁移，进入 `learnlaravel5/database/migrations` 文件夹。</p>
<p>在 ***_create_articles_table.php 中修改：</p>
<pre>
Schema::create('articles', function(Blueprint $table)
{
	$table-&gt;increments('id');
	$table-&gt;string('title');
	$table-&gt;string('slug')-&gt;nullable();
	$table-&gt;text('body')-&gt;nullable();
	$table-&gt;string('image')-&gt;nullable();
	$table-&gt;integer('user_id');
	$table-&gt;timestamps();
});</pre>
<p>在 ***_create_pages_table.php 中修改：</p>
<pre>
Schema::create('pages', function(Blueprint $table)
{
	$table-&gt;increments('id');
	$table-&gt;string('title');
	$table-&gt;string('slug')-&gt;nullable();
	$table-&gt;text('body')-&gt;nullable();
	$table-&gt;integer('user_id');
	$table-&gt;timestamps();
});</pre>
<p>然后执行命令：</p>
<pre>
php artisan migrate</pre>
<p>成功以后， tables 表和 pages 表已经出现在了数据库里，去看看吧~</p>
<p><strong>5. 数据库填充 Seeder</strong></p>
<p>在 `learnlaravel5/database/seeds/` 下新建 `PageTableSeeder.php` 文件，内容如下：</p>
<pre>
&lt;?php

use Illuminate\Database\Seeder;
use App\Page;

class PageTableSeeder extends Seeder {

 public function run()
 {
  DB::table('pages')-&gt;delete();

  for ($i=0; $i &lt; 10; $i++) {
   Page::create([
    'title'  =&gt; 'Title '.$i,
    'slug'  =&gt; 'first-page',
    'body'  =&gt; 'Body '.$i,
    'user_id' =&gt; 1,
   ]);
  }
 }

}</pre>
<p>然后修改同一级目录下的 `DatabaseSeeder.php`中：</p>
<pre>
// $this-&gt;call('UserTableSeeder');</pre>
<p>这一句为</p>
<pre>
$this-&gt;call('PageTableSeeder');</pre>
<p>然后运行命令进行数据填充：</p>
<pre>
composer dump-autoloadphp artisan db:seed</pre>
<p>去看看 pages 表，是不是多了十行数据？</p>
<p>本教程示例代码见：https://github.com/johnlui/Learn-Laravel-5</p>
<p>大家在任何地方卡住，最快捷的解决方式就是去看我的示例代码。</p>
<p>以上所述就是本文的全部内容了，希望能够对大家学习Laravel5框架有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索laravel框架<br />
                    ，                laravel入门教程<br />
                                    laravel入门<br />
                                    php框架laravel、php框架laravel教程、php laravel框架下载、php laravel 入门教程、php laravel框架分析，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 00:43:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/laravel%e5%85%a5%e9%97%a8%e6%95%99%e7%a8%8b/" title="laravel入门教程">laravel入门教程</a>, <a href="https://www.iamivan.net/tag/laravel%e6%a1%86%e6%9e%b6/" title="laravel框架">laravel框架</a>, <a href="https://www.iamivan.net/tag/laravel%e5%85%a5%e9%97%a8/" title="laravel入门">laravel入门</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Laravel 5 框架入门（一）_php实例的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8QPkb.html" rel="bookmark">Laravel 5 框架入门（四）完结篇&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Page 和评论将使用 Eloquent 提供的&quot;一对多关系&quot;.最终,我们将得到一个个人博客系统的雏形,并布置一个大作业,供大家实战练习. 1. 初识 Eloquent Laravel Eloquent ORM 是 Laravel 中非常重要的部分,也是 Laravel 能如此流行的原因之一.中文文档在: 1. http://laravel-china.org/docs/5.0/eloquent 2. http://www.golaravel.com/laravel/docs/5.0/			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKDxnb.html" rel="bookmark">高性能PHP框架Symfony2经典入门教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Symfony2是一个基于PHP语言的Web开发框架,有着开发速度快.性能高等特点.本文以一个程序示例的实现过程详细叙述了Symfony2框架的配置与程序开发. 一.下载 首先是下载Symfony2,到 http://symfony.com/download或者本站下载http://www.jb51.net/codes/187833.html.本人以Ubuntu系统为例,采用.tgz的压缩包,解压源文件到/var/www目录中并执行: tar zxvf Symfony_Standard_Vend			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV01PmM.html" rel="bookmark">Yii2框架制作RESTful风格的API快速入门教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家说下什么是REST restful REST全称是Representational State Transfer,中文意思是表述(编者注:通常译为表征)性状态转移. 它首次出现在2000年Roy Fielding的博士论文中,Roy Fielding是HTTP规范的主要编写者之一. 他在论文中提到:&quot;我这篇文章的写作目的,就是想在符合架构原理的前提下,理解和评估以网络为基础的应用软件的架构设计,得到一个功能强.性能好.适宜通信的架构.REST指的是一组架构约束条件和原则.&quot; 如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRDmNb.html" rel="bookmark">使用Composer安装Yii框架的方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了使用Composer安装Yii框架的方法.分享给大家供大家参考,具体如下: 现在流行使用Composer安装PHP框架,Composer是PHP用来管理依赖关系的工具,Yii,Laravel,七牛等框架或服务都用Composer作为安装的首选工具. 下面以下载安装Yii框架为例学习使用Composer安装PHP框架: 首先去Composer下载安装这个工具. 通过 Composer 安装 Yii 这是安装Yii2.0的首选方法.如果你还没有安装Composer,你可以按照这里的说明			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWx64Ap.html" rel="bookmark">Laravel日志用法详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Laravel日志用法.分享给大家供大家参考,具体如下: 这里使用的Laravel版本仍是5.2 日志是非常重要的.本地开发可以开启调试模式,但是上线的项目查看日志是非常简洁有效的调试手段.Laravel集成了Monolog日志库以便提供多种功能强大的日志处理器. Laravel支持日志方法single, daily, syslog 和 errorlog.例如,如果你想要日志文件按日生成而不是生成单个文件,应该在配置文件config/app.php中设置log值如下: 'log'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrZjvp.html" rel="bookmark">joomla组件开发入门教程&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了joomla组件开发知识点.分享给大家供大家参考,具体如下: 在你进行编码之前,有一些文件和文件夹需要创建和一些查询语句需要运行.你不但可以创建组件而且不用额外的配置就可以尝试不同的特性.你也可以看到Joomla!组织和访问组件方法的概况.最后,你会像其它组件一样加入工具栏. Joomla!组件的结构 Joomla!的所有组件都遵守指定的命名约定.每个系统组件都有唯一的名字,名字不要包括空格.代码分成两个文件夹,文件夹以com_开头,紧接着就是组件的名字.因此,你要创建两个相同名字的c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZmJWOp.html" rel="bookmark">CI框架常用方法小结&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了CI框架常用方法.分享给大家供大家参考,具体如下: 一.在模板文件中加载css.js文件: &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;&lt;?=base_url('css/style.css')?&gt;&quot; /&gt; &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;&lt;?=b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg32BBM.html" rel="bookmark">Laravel 5 框架入门（三）&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇教程中,我们将利用 Laravel 5 自带的开箱即用的 Auth 系统对我们的后台进行权限验证,并构建出前台页面,对 Pages 进行展示. 1. 权限验证 后台地址为 http://localhost:88/admin ,我们的所有后台操作都将在此页面或其子页面下进行.利用 Laravel 5 提供的 Auth,我们只需要改动很少部分的路由代码便可以实现权限验证功能. 首先,将路由组的代码改为: 复制代码 代码如下: Route::group(['prefix' =&gt; 'admin',			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGVQ1p.html" rel="bookmark">Laravel 5 框架入门（二）构建 Pages 的管理功能&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们将改变学习路线,不再像 Laravel 4 教程那样先构建登录系统.在本篇教程中,我们将一起构建 Pages 的管理功能,尝试 Laravel 的路由和 PHP 的命名空间. 1. 路由 Laravel 中的路由,跟其他 PHP 框架一样,作用是把各种请求分流到各个控制器. 在 `learnlaravel5/app/Http/routes.php` 的末尾添加以下代码: 复制代码 代码如下: Route::group(['prefix' =&gt; 'admin', 'namespace' =&gt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv3D6p.html" rel="bookmark" class="title">产品设计经验&colon;产品推荐系统的设计</a>
					<div>
						文章描述:产品推荐分2种,一种是以营销为目的,一种是真心觉得好.今天只谈第一种. 产品推荐分2种,一种是以营销为目的,一种是真心觉得好.今天只谈第一种.之前我们也做过一个,自认为不错,客户和客服的反馈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY825b.html" rel="bookmark" class="title">浅谈百度点击原理：你是否对刷排名依然情有独钟</a>
					<div>
						最近利用百度点击原理做排名的网站层出不穷,有的站长在不断的刷排名,有的站长在不断的抱怨.刷排名主要是让自己的关键词迅速排上去,总能够轻易排在前几名;而抱怨的站长是一些有排名的网站,受到了对方的干扰,导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXnE4b.html" rel="bookmark" class="title">如何建立一个VB&period;NET日期&sol;时间值</a>
					<div>
						组合一个日期/时间值 在VB.NET中可以用几种方法组合一个日期/时间值.列表A说明了几种实现相同功能的方法. ◆第一个消息框将显示:dtDate1: 1/2/2007 12:00:00 A.M. ◆ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R9G3p.html" rel="bookmark" class="title">C&num;实现ping对方计算机</a>
					<div>
						首先,我们用使用Process类,来创建独立的进程,导入System.Diagnostics.实例一个Process类,启动一个独立进程.然后设置实例的属性.再传入Ping命令.在返回的流中就可以分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balk6mz.html" rel="bookmark" class="title">如何检查oracle数据库的CPU和PSU补丁信息</a>
					<div>
						简单描述如何检查当前数据库的CPU和PSU补丁安装情况. 正常情况下有两种方法,一种是登录数据库检查DBA_REGISTRY_HIST视图: MODDB2:[/home/oracle]$sqlplus ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62gEgM.html" rel="bookmark" class="title">Firefox怎样把标签移到下方</a>
					<div>
						Firefox把标签移到下方的方法如下: 在配置文件夹的CHROME目录下建一个名字为userChrome.css的纯文本文件,放入下面这一行:#content &gt; tabbox {-moz-b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5orDqb.html" rel="bookmark" class="title">光驱显示电源关闭怎么办？</a>
					<div>
						  光驱显示为电源关闭,点击通电后无效,需要重启机器或者插拔光驱才行,这是什么问题? 你的这个问题是因为sata驱动安装不完整导致的无法正常唤醒光驱. 根据知识库文档026296 无法解决问题,安装驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOax85M.html" rel="bookmark" class="title">HTTP权威指南-基础知识</a>
					<div>
						1.URL,URI 统一资源标识符?统一标识定位符?   2.http,https,ftp http://&lt;host&gt;:&lt;port&gt;/&lt;path&gt;/?&lt;que ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWvwnp.html" rel="bookmark" class="title">&lbrack;转&rsqb; iOS文字排版&lpar;CoreText&rpar;那些事儿</a>
					<div>
						iOS文字排版(CoreText)那些事儿 转自阿毛的蛋疼地   第一次比较深入接触iOS文字排版相关内容是在12年底,实现某IM项目聊天内容的图文混排,照着nimbus的AttributedLabe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLVnmb.html" rel="bookmark" class="title">obj-c在Xcode之外如何使用&commat;import关键字</a>
					<div>
						在Xcode中@import可以很方便的代替#import的功能,具体区别和便利请自行google之. 这里简单介绍下在Xcode之外如何使用@import.直接以 @import Foundatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr5vnp.html" rel="bookmark" class="title">php jquery 实现新闻标签分类与无刷新分页&lowbar;php技巧</a>
					<div>
						现在jquery的应用越来越广泛了,在很多网站的新闻板块都实现了 标签分类 + 无刷新分页 的效果. 也自己尝试写了一个,效果图如下(样式可以按用户需求自己去整):   接下来详细介绍实现过程: 我一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam7aJb.html" rel="bookmark" class="title">ASM条带揭密----&lowbar;asm&lowbar;stripesize、&lowbar;asm&lowbar;stripewidth参数的设置和影响</a>
					<div>
						第 一 部分  ASM条带概述 11GR2的ASM中,有两个很诱人的参数:_asm_stripesize._asm_stripewidth,条带大小和条带宽度.貌似通过这两个参数,我们可以对条带进行更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPLVvp.html" rel="bookmark" class="title">java项目在tomcat中部署正常，在jboss上部署报错</a>
					<div>
						问题描述 java项目在tomcat中部署正常,在jboss上部署报错 解决方案 项目部署到Tomcat报错java项目怎样部署到tomcat中如何在tomcat 部署java 项目					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQPlLp.html" rel="bookmark" class="title">中国工商银行阿根廷分行用数据运营展现本地特色</a>
					<div>
						ZD至顶网CIO与应用频道 10月11日 人物访谈(文/王聪彬):在国外机场你可以时不时地看到中资银行的广告,随着&quot;走出去&quot;战略的推进,中国金融业已经迎来了走向海外的快速发展期.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PlJ4p.html" rel="bookmark" class="title">iOS添加到购物车的简单动画效果</a>
					<div>
						#pragma mark - 添加到购物车的动画效果 // huangyibiao - (void)addAnimatedWithFrame:(CGRect)frame { // 该部分动画 以sel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PEKBp.html" rel="bookmark" class="title">sqoop 从oracle导数据到hbase中报错</a>
					<div>
						问题描述 sqoop 从oracle导数据到hbase中报错 解决方案 通过Sqoop实现Mysql / Oracle 与HDFS / Hbase互导数据通过Sqoop实现Mysql / Oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rxAAz.html" rel="bookmark" class="title">byte 数组-关于byte数组和比较问题</a>
					<div>
						问题描述 关于byte数组和比较问题 有一个byte[] 里面存9个byte 我想要自己定义一个byte来跟9个每个比较是否相等,请问我改怎么做啊 byte[] byte1={0,0,0,0,0,0, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR8A6b.html" rel="bookmark" class="title">Oracle 10&period;2&period;0&period;1 升级到 10&period;2&period;0&period;4</a>
					<div>
						--********************************* -- Oracle 10.2.0.1 升级到 10.2.0.4 --****************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydlWPb.html" rel="bookmark" class="title">新手入行 JAVA</a>
					<div>
						问题描述 本人是个热爱IT行业的一份子之前在家人的反对下选择了汽车行页挣扎了2年,没有一点激情果断放弃在他们的面前我在三强调我要做IT最后他们顺从了我真他妈高兴现在在北大青鸟学习还没开课现在在自学网上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnYexM.html" rel="bookmark" class="title">Nmap网络探测和安全审核工具指南：主机发现</a>
					<div>
						任何网络探测任务的最初几个步骤之一就是把一组IP范围(有时该范围是巨大的)缩小为 一列活动的或者您感兴趣的主机.扫描每个IP的每个端口很慢,通常也没必要. 当然,什么样的主机令您感兴趣主要依赖于扫描的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWy3rM.html" rel="bookmark" class="title">机器学习利器&mdash;&mdash;决策树和随机森林</a>
					<div>
						更多深度文章,请关注:https://yq.aliyun.com/cloud 决策树(Decision Tree)是在已知各种情况发生概率的基础上,通过构成决策树来求取净现值的期望值大于等于零的概率, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nrqmz.html" rel="bookmark" class="title">豌豆荚与LINE合作--负责在华运营推广</a>
					<div>
						DoNews4月30日消息,豌豆荚正式宣布与LINE开启合作,豌豆荚将负责LINE在中国大陆地区的服务提供和运营推广,并整合双方的品牌和平台资源. 在双方的合作中,豌豆荚将提供LINE在大陆地区服务的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z444nJz.html" rel="bookmark" class="title">三星S5如何使用远程取景器&quest;S5远程取景器使用方法</a>
					<div>
						1.在待机页面下,点击[应用程序].   2.滑动手机屏幕,点击[照相机].   3.点击[小齿轮]图标.   4.点击[远程取景器].   5.在弹出的&quot;远程取景器&quot;提示框中,选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmWO8p.html" rel="bookmark" class="title">&period;NET 中英文混合验证码实现代码&lowbar;实用技巧</a>
					<div>
						最终效果如图: CheckCode.aspx.cs代码如下 复制代码 代码如下: protected void Page_Load(object sender, EventArgs e) { //获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0mZNp.html" rel="bookmark" class="title">Android AndBase框架内部封装实现进度框、Toast框、弹出框、确认框（二）&lowbar;Android</a>
					<div>
						本文是针对AndBase框架学习整理的第二篇笔记,想要了解AndBase框架的朋友可以阅读本文,大家共同学习. 使用AbActivity内部封装的方法实现进度框,Toast框,弹出框,确认框 AndB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEA3Oz.html" rel="bookmark" class="title">javascript编程起步（第五课）&lowbar;基础知识</a>
					<div>
						鼠标事件(上)   随着课程的进行,能跟着下来的人是越来越少了,不知道是不是因为没有太多的表现,只是死记的东西,大家都没有兴趣啊.其实网页上 的很多特效,动作大都是用javascript来实现的,没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY50Ab.html" rel="bookmark" class="title">struts2 &amp;amp&semi;amp&semi;lt&semi;s&colon;if&amp;amp&semi;amp&semi;gt&semi;标签使用的问题</a>
					<div>
						问题描述 SSH项目中,取回的值传回JSP页面,TStatus.statusId这个属性存的是用户的在线状态,1表示在线,2表示离线,在数据库中是字符串类型.我想在JSP页面中来判断取回是1还是2,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0X8LM.html" rel="bookmark" class="title">IDC发布2017年中国智慧城市IT十大预测</a>
					<div>
						日前,IDC最新发布了&lt;IDC FutureScape:全球智慧城市2017年预测--中国启示&gt;的报告(IDC#CHE41445917,2017年2月).报告详尽地介绍并解读了IDC对中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqaxvp.html" rel="bookmark" class="title">求一个简单的四则运算计算器的代码及配图！</a>
					<div>
						问题描述 求大神!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!1 解决方案 解决方案二: 解决方案三: 解决方案四:谢谢亲的指教~~~					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ygeap.html" rel="bookmark" class="title">Google的工具条被斥为流氓软件</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 以&quot;不作恶&quot;为 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
